Due to the interactive nature of VolunteerHub's Kiosk, a modern iOS version is required. 


Please update your device's firmware and relaunch Kiosk.



Your device must have iOS 12 or newer.  Click the link below to be directed to Apple's article detailing how to update:

NOTE: VolunteerHub's Volunteer View does continue to support all iOS versions.